diff --git a/changelog b/changelog
index a04dfe8..016acd9 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20130123 tpd src/axiom-website/patches.html 20130123.02.tpd.patch
+20130123 tpd src/doc/Makefile export endpaper as pdf
+20130123 tpd src/doc/endpaper fixed format
 20130123 tpd src/axiom-website/patches.html 20130123.01.tpd.patch
 20130123 tpd src/input/Makefile tree.regress added
 20130123 tpd src/input/tree.input fixed
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 2d1da29..d3fa024 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3951,5 +3951,7 @@ books/bookvolbib add Koutschan
 src/input/trigtests.input added
 <a href="patches/20130123.01.tpd.patch">20130123.01.tpd.patch</a>
 src/input/tree.regress added
+<a href="patches/20130123.02.tpd.patch">20130123.02.tpd.patch</a>
+src/doc/endpaper fixed format
  </body>
 </html>
diff --git a/src/doc/Makefile.pamphlet b/src/doc/Makefile.pamphlet
index c1a6f6a..28781f1 100644
--- a/src/doc/Makefile.pamphlet
+++ b/src/doc/Makefile.pamphlet
@@ -38,12 +38,13 @@ ${STY}/axiom.sty: ${IN}/axiom.sty.pamphlet
 \section{The Reference Card}
 This is the one-page, 2 sided reference card
 <<refcard>>=
-${DVI}/refcard.dvi: ${IN}/refcard.pamphlet
+${DVI}/refcard.pdf: ${IN}/refcard.pamphlet
 	@echo 4 making ${DVI}/refcard.dvi from ${IN}/refcard.pamphlet
 	@(cd ${MID} ; \
 	cp ${IN}/refcard.pamphlet ${MID} ;\
 	latex refcard.pamphlet ; \
-	cp refcard.dvi ${DVI} ; \
+	dvipdf refcard.dvi ; \
+	cp refcard.pdf ${DVI} ; \
 	rm refcard.log ; \
 	rm refcard.aux )
 
@@ -52,15 +53,16 @@ ${DVI}/refcard.dvi: ${IN}/refcard.pamphlet
 This document reproduces the diagrams on the inside covers of the
 original Jenks Axiom book but adds hyperlinks.
 <<Endpapers>>=
-${DVI}/endpaper.dvi: ${IN}/endpaper.pamphlet
-	@echo 4 making ${DVI}/endpaper.dvi from ${IN}/endpaper.pamphlet
+${DVI}/endpaper.pdf: ${IN}/endpaper.pamphlet
+	@echo 4 making ${DVI}/endpaper.pdf from ${IN}/endpaper.pamphlet
 	@(cd ${MID} ; \
 	cp ${IN}/endpaper.pamphlet ${MID} ; \
 	mkdir -p ${MID}/ps ; \
 	cp ${IN}/ps/*ps* ${MID}/ps ; \
 	latex endpaper.pamphlet ; \
 	latex endpaper.pamphlet ; \
-	cp endpaper.dvi ${DVI} ; \
+	dvipdf endpaper.dvi ; \
+	cp endpaper.pdf ${DVI} ; \
 	rm endpaper.* ; \
 	mkdir -p ${DVI}/ps ; \
 	cp ${IN}/ps/*ps* ${DVI}/ps )
@@ -72,12 +74,13 @@ way of moving between various computer algebra systems. It was
 originally created for the "rosetta" series of CDs. These rosetta
 CDs contained multiple, free computer algebra systems.
 <<rosetta>>=
-${DVI}/rosetta.dvi: ${IN}/rosetta.pamphlet
+${DVI}/rosetta.pdf: ${IN}/rosetta.pamphlet
 	@echo 5 building ${DVI}/rosetta.dvi from ${IN}/rosetta.pamphlet
 	@(cd ${MID} ; \
 	cp ${IN}/rosetta.pamphlet ${MID} ; \
 	latex rosetta.pamphlet ; \
-	cp rosetta.dvi ${DVI} )
+	dvipdf rosetta.dvi ; \
+	cp rosetta.pdf ${DVI} )
 
 @
 \section{The booklet command}
@@ -108,8 +111,8 @@ STY=${OUT}/tex
 DVI=${MNT}/${SYS}/doc
 DOC=${INT}/doc
 
-FILES= ${MID}/axiom.bib ${STY}/axiom.sty ${DVI}/refcard.dvi \
-       ${DVI}/endpaper.dvi ${DVI}/rosetta.dvi 
+FILES= ${MID}/axiom.bib ${STY}/axiom.sty ${DVI}/refcard.pdf \
+       ${DVI}/endpaper.pdf ${DVI}/rosetta.pdf 
 
 CMDS=${OUT}/booklet
 
diff --git a/src/doc/endpaper.pamphlet b/src/doc/endpaper.pamphlet
index 8aec64d..20cb1b0 100644
--- a/src/doc/endpaper.pamphlet
+++ b/src/doc/endpaper.pamphlet
@@ -292,51 +292,51 @@
 \vfill
 \eject
 \section{Basic Algebra Hierarchy}
-\subsection{SETCAT SetCategory}
-\subsection{ABELSG AbelianSemiGroup}
-\subsection{SGROUP SemiGroup}
-\subsection{ORDSET OrderedSet}
-\subsection{FINITE Finite}
-\subsection{ABELMON AbelianMonoid}
-\subsection{MONOID Monoid}
-\subsection{ORDFIN OrderedFinite}
-\subsection{CABMON CancellationAbelianMonoid}
-\subsection{OASGP OrderedAbelianSemiGroup}
-\subsection{GROUP Group}
-\subsection{ORDMON OrderedMonoid}
-\subsection{OAMON OrderedAbelianMonoid}
-\subsection{OCAMON OrderedCancellationAbelianMonoid}
-\subsection{ABELGRP AbelianGroup}
-\subsection{OAMONS OrderedAbelianMonoidSup}
-\subsection{RNG Rng}
-\subsection{LMODULE LeftModule}
-\subsection{RMODULE RightModule}
-\subsection{OAGROUP OrderedAbelianGroup}
-\subsection{RING Ring}
-\subsection{BMODULE BiModule}
-\subsection{LINEXP LinearlyExplicitRingOver}
-\subsection{MODULE Module}
-\subsection{FLINEXP FullyLinearlyExplicitRingOver}
-\subsection{VSPACE VectorSpace}
-\subsection{DIFRING DifferentialRing}
-\subsection{CHARNZ CharacteristicNonZero}
-\subsection{PDRING PartialDifferentialRing}
-\subsection{CHARZ CharacteristicZero}
-\subsection{ALGEBRA Algebra}
-\subsection{ENTIRER EntireRing}
-\subsection{COMRING CommutativeRing}
-\subsection{ORDRING OrderedRing}
-\subsection{DIFEXT DifferentialExtension}
-\subsection{DIVRING DivisionRing}
-\subsection{INTDOM IntegralDomain}
-\subsection{GCDDOM GcdDomain}
-\subsection{UFD UniqueFactorizationDomain}
-\subsection{PID PrincipalIdealDomain}
-\subsection{PFECAT PolynomialFactorizationExplicit}
-\subsection{EUCDOM EuclideanDomain}
-\subsection{FIELD Field}
-\subsection{FPC FieldOfPrimeCharacteristic}
-\subsection{FFIELDC FiniteFieldCategory}
+{\bf SETCAT SetCategory}\\
+{\bf ABELSG AbelianSemiGroup}\\
+{\bf SGROUP SemiGroup}\\
+{\bf ORDSET OrderedSet}\\
+{\bf FINITE Finite}\\
+{\bf ABELMON AbelianMonoid}\\
+{\bf MONOID Monoid}\\
+{\bf ORDFIN OrderedFinite}\\
+{\bf CABMON CancellationAbelianMonoid}\\
+{\bf OASGP OrderedAbelianSemiGroup}\\
+{\bf GROUP Group}\\
+{\bf ORDMON OrderedMonoid}\\
+{\bf OAMON OrderedAbelianMonoid}\\
+{\bf OCAMON OrderedCancellationAbelianMonoid}\\
+{\bf ABELGRP AbelianGroup}\\
+{\bf OAMONS OrderedAbelianMonoidSup}\\
+{\bf RNG Rng}\\
+{\bf LMODULE LeftModule}\\
+{\bf RMODULE RightModule}\\
+{\bf OAGROUP OrderedAbelianGroup}\\
+{\bf RING Ring}\\
+{\bf BMODULE BiModule}\\
+{\bf LINEXP LinearlyExplicitRingOver}\\
+{\bf MODULE Module}\\
+{\bf FLINEXP FullyLinearlyExplicitRingOver}\\
+{\bf VSPACE VectorSpace}\\
+{\bf DIFRING DifferentialRing}\\
+{\bf CHARNZ CharacteristicNonZero}\\
+{\bf PDRING PartialDifferentialRing}\\
+{\bf CHARZ CharacteristicZero}\\
+{\bf ALGEBRA Algebra}\\
+{\bf ENTIRER EntireRing}\\
+{\bf COMRING CommutativeRing}\\
+{\bf ORDRING OrderedRing}\\
+{\bf DIFEXT DifferentialExtension}\\
+{\bf DIVRING DivisionRing}\\
+{\bf INTDOM IntegralDomain}\\
+{\bf GCDDOM GcdDomain}\\
+{\bf UFD UniqueFactorizationDomain}\\
+{\bf PID PrincipalIdealDomain}\\
+{\bf PFECAT PolynomialFactorizationExplicit}\\
+{\bf EUCDOM EuclideanDomain}\\
+{\bf FIELD Field}\\
+{\bf FPC FieldOfPrimeCharacteristic}\\
+{\bf FFIELDC FiniteFieldCategory}
 \vfill
 \eject
 \section{Data Structure Hierarchy Diagram}
@@ -546,46 +546,46 @@
 \vfill
 \eject
 \section{Data Structure Hierarchy Diagram}
-\subsection{SETCAT SetCategory}
-\subsection{AGG Aggregate}
-\subsection{ELTAGG EltableAggregate}
-\subsection{HOAGG HomogeneousAggregate}
-\subsection{ARR2CAT TwoDimensionalArrayCategory}
-\subsection{MATCAT MatrixCategory}
-\subsection{BGAGG BagAggregate}
-\subsection{SKAGG StackAggregate}
-\subsection{QUAGG QueueAggregate}
-\subsection{DQAGG DequeueAggregate}
-\subsection{CLAGG Collection}
-\subsection{DIOPS DictionaryOperations}
-\subsection{PRQAGG PriorityQueueAggregate}
-\subsection{FINITE Finite}
-\subsection{SETAGG SetAggregate}
-\subsection{RCAGG RecursiveAggregate}
-\subsection{IXAGG IndexedAggregate}
-\subsection{DLAGG DoublyLinkedAggregate}
-\subsection{DIRPCAT DirectProductCategory}
-\subsection{LNAGG LinearAggregate}
-\subsection{URAGG UnaryRecursiveAggregate}
-\subsection{BRAGG BinaryRecursiveAggregate}
-\subsection{BTCAT BinaryTreeCategory}
-\subsection{DIAGG Dictionary}
-\subsection{MDAGG MultiDictionary}
-\subsection{ORDSET OrderedSet}
-\subsection{ELAGG ExtensibleLinearAggregate}
-\subsection{STAGG StreamAggregate}
-\subsection{FLAGG FiniteLinearAggregate}
-\subsection{KDAGG KeyedDictionary}
-\subsection{FSAGG FiniteSetAggregate}
-\subsection{MSETAGG MultisetAggregate}
-\subsection{LZSTAGG LazyStreamAggregate}
-\subsection{LSAGG ListAggregate}
-\subsection{A1AGG OneDimensionalArrayAggregate}
-\subsection{TBAGG TableAggregate}
-\subsection{OMSAGG OrderedMultiSetAggregate}
-\subsection{BTAGG BitAggregate}
-\subsection{SRAGG StringAggregate}
-\subsection{VECTCAT VectorCategory}
+{\bf SETCAT SetCategory}\\
+{\bf AGG Aggregate}\\
+{\bf ELTAGG EltableAggregate}\\
+{\bf HOAGG HomogeneousAggregate}\\
+{\bf ARR2CAT TwoDimensionalArrayCategory}\\
+{\bf MATCAT MatrixCategory}\\
+{\bf BGAGG BagAggregate}\\
+{\bf SKAGG StackAggregate}\\
+{\bf QUAGG QueueAggregate}\\
+{\bf DQAGG DequeueAggregate}\\
+{\bf CLAGG Collection}\\
+{\bf DIOPS DictionaryOperations}\\
+{\bf PRQAGG PriorityQueueAggregate}\\
+{\bf FINITE Finite}\\
+{\bf SETAGG SetAggregate}\\
+{\bf RCAGG RecursiveAggregate}\\
+{\bf IXAGG IndexedAggregate}\\
+{\bf DLAGG DoublyLinkedAggregate}\\
+{\bf DIRPCAT DirectProductCategory}\\
+{\bf LNAGG LinearAggregate}\\
+{\bf URAGG UnaryRecursiveAggregate}\\
+{\bf BRAGG BinaryRecursiveAggregate}\\
+{\bf BTCAT BinaryTreeCategory}\\
+{\bf DIAGG Dictionary}\\
+{\bf MDAGG MultiDictionary}\\
+{\bf ORDSET OrderedSet}\\
+{\bf ELAGG ExtensibleLinearAggregate}\\
+{\bf STAGG StreamAggregate}\\
+{\bf FLAGG FiniteLinearAggregate}\\
+{\bf KDAGG KeyedDictionary}\\
+{\bf FSAGG FiniteSetAggregate}\\
+{\bf MSETAGG MultisetAggregate}\\
+{\bf LZSTAGG LazyStreamAggregate}\\
+{\bf LSAGG ListAggregate}\\
+{\bf A1AGG OneDimensionalArrayAggregate}\\
+{\bf TBAGG TableAggregate}\\
+{\bf OMSAGG OrderedMultiSetAggregate}\\
+{\bf BTAGG BitAggregate}\\
+{\bf SRAGG StringAggregate}\\
+{\bf VECTCAT VectorCategory}
 \vfill
 \eject
 \begin{thebibliography}{99}
